GDBserver

Enumerations | Functions
common-regcache.h File Reference

Go to the source code of this file.

## Enumerations
enum | register_status { REG_UNKNOWN = 0, REG_VALID = 1, REG_UNAVAILABLE = -1 }

## Functions
struct regcache * | get_thread_regcache_for_ptid (ptid_t ptid)
int | regcache_register_size (const struct regcache *regcache, int n)
CORE_ADDR | regcache_read_pc (struct regcache *regcache)
enum register_status | regcache_raw_read_unsigned (struct regcache *regcache, int regnum, ULONGEST *val)
ULONGEST | regcache_raw_get_unsigned (struct regcache *regcache, int regnum)

## Enumeration Type Documentation

## ◆ register_status

enum register_status

Enumerator
REG_UNKNOWN |
REG_VALID |
REG_UNAVAILABLE |

Definition at line 25 of file common-regcache.h.

## Function Documentation

## ◆ get_thread_regcache_for_ptid()

struct regcache* get_thread_regcache_for_ptid | ( | ptid_t | ptid | ) |

Definition at line 69 of file regcache.c.

References find_thread_ptid(), and get_thread_regcache().

Referenced by aarch64_point_is_aligned().

## ◆ regcache_raw_get_unsigned()

ULONGEST regcache_raw_get_unsigned | ( | struct regcache * | regcache,
|  | int | regnum
| ) |  |

Definition at line 26 of file common-regcache.c.

References _, NOT_AVAILABLE_ERROR, REG_UNAVAILABLE, regcache_raw_read_unsigned(), and throw_error().

## ◆ regcache_raw_read_unsigned()

enum register_status regcache_raw_read_unsigned | ( | struct regcache * | regcache,
|  | int | regnum,
|  | ULONGEST * | val
| ) |  |

Definition at line 409 of file regcache.c.

References _, collect_register(), error(), gdb_assert, REG_VALID, register_size(), and regcache::tdesc.

Referenced by regcache_raw_get_unsigned().

## ◆ regcache_read_pc()

CORE_ADDR regcache_read_pc | ( | struct regcache * | regcache | ) |

Definition at line 450 of file regcache.c.

References internal_error(), target_ops::read_pc, and the_target.

Referenced by get_next_pcs_syscall_next_pc(), and traceframe_get_pc().

## ◆ regcache_register_size()

int regcache_register_size | ( | const struct regcache * | regcache,
|  | int | n
| ) |  |

Definition at line 301 of file regcache.c.

References register_size(), and regcache::tdesc.

Referenced by aarch64_point_is_aligned().